### Enumeration

# Soup SameSitePolicy

#### Declaration

    enum Soup.SameSitePolicy

#### Description [src]

Represents the same-site policies of a cookie.

#### Members

`SOUP_SAME_SITE_POLICY_NONE`

  The cookie is exposed with both cross-site and same-site requests.

  - Value: `0`
  - Available since: 3.0
`SOUP_SAME_SITE_POLICY_LAX`

  The cookie is withheld on cross-site requests but exposed on cross-site navigations.

  - Value: `1`
  - Available since: 3.0
`SOUP_SAME_SITE_POLICY_STRICT`

  The cookie is only exposed for same-site requests.

  - Value: `2`
  - Available since: 3.0